<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>OsiVolSolverInterface.hpp</name>
    <path>/builddir/build/BUILD/Vol-1.5.4/src/OsiVol/</path>
    <filename>OsiVolSolverInterface_8hpp</filename>
    <includes id="VolVolume_8hpp" name="VolVolume.hpp" local="yes" imported="no">VolVolume.hpp</includes>
    <class kind="class">OsiVolSolverInterface</class>
    <class kind="class">OsiVolSolverInterface::OsiVolMatrixOneMinusOne_</class>
    <member kind="function">
      <type>void</type>
      <name>OsiVolSolverInterfaceUnitTest</name>
      <anchorfile>OsiVolSolverInterface_8hpp.html</anchorfile>
      <anchor>a37c22231739a8d27dd51bff5ba63a5b6</anchor>
      <arglist>(const std::string &amp;mpsDir, const std::string &amp;netlibDir)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const double</type>
      <name>OsiVolInfinity</name>
      <anchorfile>OsiVolSolverInterface_8hpp.html</anchorfile>
      <anchor>a3af4750154b872c4c6300d8843b43aa3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>VolVolume.hpp</name>
    <path>/builddir/build/BUILD/Vol-1.5.4/src/</path>
    <filename>VolVolume_8hpp</filename>
    <member kind="define">
      <type>#define</type>
      <name>VOL_DEBUG</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>ac1078389c61ddbd6f815fcd7676c4e50</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VOL_TEST_INDEX</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>a67ac777cfe1e4fb19ef8340d4d7354ed</anchor>
      <arglist>(i, size)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VOL_TEST_SIZE</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>ab432826bfd1eee23c3bd750b1914cc53</anchor>
      <arglist>(size)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T</type>
      <name>VolMax</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>a9a3b2b42134b439f1896f30d313545cd</anchor>
      <arglist>(register const T x, register const T y)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T</type>
      <name>VolAbs</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>aa8e6c0c3fd71c98dfd8df9767c6ef549</anchor>
      <arglist>(register const T x)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>OsiVolSolverInterface</name>
    <filename>classOsiVolSolverInterface.html</filename>
    <base virtualness="virtual">OsiSolverInterface</base>
    <base>VOL_user_hooks</base>
    <class kind="class">OsiVolSolverInterface::OsiVolMatrixOneMinusOne_</class>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setObjSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3d080a1dc1aca47d8d946940cb9a01f9</anchor>
      <arglist>(double s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColSolution</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af371083842b1f1e107b4c3732431dcb3</anchor>
      <arglist>(const double *colsol)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowPrice</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adc3c9744f16a17fa2af0f6b12c2a9422</anchor>
      <arglist>(const double *rowprice)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initialSolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ebb97db84ff8a51509b9992f06bf0d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4fe4715c58806023e74cb9d4bfe9d4d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>branchAndBound</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a56192c678080507f15731c4c69ee2576</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3fc41673f23e0d13336e8f2315ad8ed8</anchor>
      <arglist>(OsiIntParam key, int value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a43e795247cbc6f7ff8bb3b50509b186a</anchor>
      <arglist>(OsiDblParam key, double value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e630786512de53623da7fad47e92e44</anchor>
      <arglist>(OsiStrParam key, const std::string &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab39d494bcb6b15ea78badb1caa466fe0</anchor>
      <arglist>(OsiIntParam key, int &amp;value) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad7e7918f40176ac3ff03a87d8f37c2ef</anchor>
      <arglist>(OsiDblParam key, double &amp;value) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa89f7cc20c7fd429974f134912b39ccc</anchor>
      <arglist>(OsiStrParam key, std::string &amp;value) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isAbandoned</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afc6289f49c5a5396265548d0a960709c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenOptimal</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa06a2e377c16f16f62303e046bcc436a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenPrimalInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e14986e48d88d8bde32a952eef4b7f7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenDualInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a562b155d57e64af7495c0b293b2a6edf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPrimalObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aec8c4919ff8c3c9e8ee5f92477f29eca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isDualObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae8ddee7c1fe8d73473bba84ee05b5dec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isIterationLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2f2cea5ac07633fda5b4068aaea0e118</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getEmptyWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a43da2f832f7cff9df204cf3a8aa08bfc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a648d136cadf80ee635f33dc279cb983f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60ac508098e23acf27baae4ae37556</anchor>
      <arglist>(const CoinWarmStart *warmstart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>markHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a44b12eb36763b22cba26327ba9199f85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>solveFromHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aff51883da4510d997e39dd2bf6d1de33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unmarkHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0362c9e14f7d07fdb9b7167270afcf93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a39d4c4bb8ff10b4ab29340281f27cc12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a598e6169e231e60d69bd779ca98ad037</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumElements</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a34837d367e0cf5e4e5b53c082711be2b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfe8adc05aad24446c4ef1272b82fbdc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4d35fcfda8fd04035852da689dd090ca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>getRowSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9088aee7c5544b3a219ddac9bc31b0ab</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRightHandSide</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7c22b662af251212443e504173e91aa3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5e450515565ae8e160a3c3b8cd352e83</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3580a3b28245ab61073d075361525a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>add68deac1e87b00e830ee7d9051d02b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getObjCoefficients</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7c0df7842ad627c8d7de01e4b6ce5b10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4270393a3f92a86da62bc0c312e4808c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adde57385dc536b89abd478172cee6b4d</anchor>
      <arglist>(int colNumber) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a41f67cfc5e762a0a178fdb06be81315b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a24ca94693f8c80cdd5b44a52b7575197</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getInfinity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad84b1d084dcd69198db5e3f8ede1e821</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColSolution</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac1c1cc0fdd6c20e3de16e015dd3d9573</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowPrice</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adf72fac2128476612e3cdd400664f352</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getReducedCost</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af1865e6b507cfe506acd380fd7d778e5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowActivity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a488e5caddae8466a6db2bb348e5fbb32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjValue</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aee20244a8116418cec31daed8c06042c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getIterationCount</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a64c9110995522883fffe74735f74a5c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getDualRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a89618ea1c6b6ebc8de69c3e870605b9a</anchor>
      <arglist>(int maxNumRays, bool fullRay=false) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getPrimalRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8aca76d90cb01851b83af77474855b1f</anchor>
      <arglist>(int maxNumRays) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setObjCoeff</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3d1a2a3354b847d2d27dad37c1c13bd7</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a51c4650dbac138da548b4c4d86fc812e</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a24f1ab35bd750441d7631d4737dd768c</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac988cacdabb5e9f7ca5f1174e870c872</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b6321847f1f19f8d8458e0db6f38ca6</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a036cc7ad0c23e9feef8425cd83031151</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2485d04c0e4991ea23498648bb372f9d</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af395ede4b850c6b359aa83a034057ed5</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowType</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad792679d189ca042f1e6f0edcde57e3c</anchor>
      <arglist>(int index, char sense, double rightHandSide, double range)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4ad0b0e8d952fb84f83a1250f9a31559</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetTypes</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a36e688be96b4b7e601cd594bb12f27</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const char *senseList, const double *rhsList, const double *rangeList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6fd1d3e2a673136e7c4ae5fd1142ea50</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a65aeee82e9a153085f7f5b909c68a7c6</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af4b4180e280d858d725bc025c23fd09c</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a692e9fc4a2eae2d5fb6b42ae8be632dc</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5daddb423ec952d1077c8b889ac96e9c</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1bdbb642959ab0792bdbd88adac79a7f</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4e0e754ff11804efc4a2af47d886b53c</anchor>
      <arglist>(const int num, const int *colIndices)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab744a0e21d9e317f948f6c78987b0ffa</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4cbea52611652aaf0770f177957efbe8</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a766a574a8dc202c825f38fb8ca498434</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a660081945278c79aee5374dc1f9d5ce3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26022e9595a58df902ac8f5d67663e25</anchor>
      <arglist>(const int num, const int *rowIndices)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac41b0922f868043944f5d2e7ec104a04</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa3492523b42f0cfecd3f5ddfaa8f9373</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, double *&amp;rowlb, double *&amp;rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae884922d1787a42e40cb876a48959463</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3e5765e8ce5fe8a7870c8998cf40f77</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, char *&amp;rowsen, double *&amp;rowrhs, double *&amp;rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a1ef4400bb8721fd7d6910d60dd4b46</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aefe40fd3c07cd4a8b1898e8fdf3e56a7</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac05ece7535f5ee98272d910577f2257c</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a411668f7793561de65cbab7a50668d24</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;, double objSense=0.0) const </arglist>
    </member>
    <member kind="function">
      <type>VOL_problem *</type>
      <name>volprob</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a65011f6e9849a8bc8924b9e07110e947</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acbae7780d832ae3e62e651fc6e5f438d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual OsiSolverInterface *</type>
      <name>clone</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a701d44b2aab9613ee81e0806328ab2bd</anchor>
      <arglist>(bool copyData=true) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfc6d8568d1a8618ae49a7bdf6f0aa90</anchor>
      <arglist>(const OsiVolSolverInterface &amp;)</arglist>
    </member>
    <member kind="function">
      <type>OsiVolSolverInterface &amp;</type>
      <name>operator=</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a30c10817f816dac4aa5107305e4ccb6c</anchor>
      <arglist>(const OsiVolSolverInterface &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a41a5645a3787a80a832623b3f4c14050</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRlbRub</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae504346709c43c82e95b0757c88fc68b</anchor>
      <arglist>(const int rownum, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRhsSenseRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8bda83f9cad03ea0d9d068d60f786fb0</anchor>
      <arglist>(const int rownum, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromClbCubObj</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa9b025f3c091f2f64884fac64158c771</anchor>
      <arglist>(const int colnum, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyRowCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a288d69036d580107d0f0a701e382582b</anchor>
      <arglist>(const OsiRowCut &amp;rc)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyColCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac965135c34b7d5c049e56f3e9db41097</anchor>
      <arglist>(const OsiColCut &amp;cc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>compute_rc</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ff89d0bb6f2ec7e8c4655286564450f</anchor>
      <arglist>(const VOL_dvector &amp;u, VOL_dvector &amp;rc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>solve_subproblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af9c03548fea7f4f4e8168dc56a961f6c</anchor>
      <arglist>(const VOL_dvector &amp;dual, const VOL_dvector &amp;rc, double &amp;lcost, VOL_dvector &amp;x, VOL_dvector &amp;v, double &amp;pcost)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>heuristics</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a92e031f098f71a8a061b14fad497accd</anchor>
      <arglist>(const VOL_problem &amp;, const VOL_dvector &amp;, double &amp;heur_val)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateRowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0827deca11d04503d3043f0718057e8f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateColMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a732b9ed134572b48af273917addcbcdb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>checkData_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7783f32896ee99a0b4c8dbdf38ed56b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>compute_rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1776bdb6e464bb8f1f36656b643c6ff2</anchor>
      <arglist>(const double *u, double *rc) const </arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>gutsOfDestructor_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aaa83f9fbc524b649a7f0d07f500415f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a40d8a14a26d069f62a5642846ba159fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a94ef281a85fc2df1863f9a98a06de528</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a05a11028122647541c33f202fefc430d</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6641420238ed18381d0a5934458f53b9</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertBoundsToSenses_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8761c3b4b1a38d547b00a2347d08439f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertSensesToBounds_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3ccd3e54a258132b9e7c03b5fc932fa2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>bool</type>
      <name>test_zero_one_minusone_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9c7cb0308c2e458a58a59074e4331089</anchor>
      <arglist>(const CoinPackedMatrix &amp;m) const </arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>objsense_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a49a8fad6ff7e06424f17f4511d832901</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowpriceHotStart_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a29e5f1fc10b47fe35a9153f8d118461e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>maxNumrows_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1f5b780357ae6b5f5dea9e6bb26a0cb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>maxNumcols_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a264f84c302b54a5413a8f0b6058d9fdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>VOL_problem</type>
      <name>volprob_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab9ef036ccc569615e1a82772deb11a4a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>rowMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2c6bb6ab056d8890ca74403f04beee3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>rowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abc6f3b704ca28454f5fa2a1160c1525b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>colMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adfbb1b74d7b196a7d114e01ab7022f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>colMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa45f83d401722012d62e866cb138e9bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>isZeroOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9a43d66116a83248f774c60ef9b92d1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>rowMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa1aee99342795a75863588bf08912ee3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>colMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afa67d9059b27f15c637f7ddabc5d4b2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af7a457af85895b24d2a58d589cc562c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>collower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afabc5f5c35ad58b2360c19ad3b67f999</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool *</type>
      <name>continuous_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aee4d19e72cb0ee0545121e1d3d2f0826</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3cea4279ed5213b02e54cf6fe0caab4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowlower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a817ab5c159fe916da8fca218d92770b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>char *</type>
      <name>rowsense_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7adff06c89544f6d6b9420f6e16cdc80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a968ca7feb3535e9c5a3256407aef8371</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowrange_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a25c1114be8b78ff2793aa9c2fe69fe8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>objcoeffs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab24e216d140d02ce3a48bb0b4927c4ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colsol_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a22559006edd316d7e684deb200236943</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowprice_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26ac3fb6b72c3169cbb76c1140b933ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0eedd79506eade28d3f74ecb0ce965b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>lhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a11d3ee46399cc65041a1b54d54aad2e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>lagrangeanCost_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a23b24314f4984946a011604e5113d106</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend void</type>
      <name>OsiVolSolverInterfaceUnitTest</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a37c22231739a8d27dd51bff5ba63a5b6</anchor>
      <arglist>(const std::string &amp;mpsDir, const std::string &amp;netlibDir)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>OsiVolSolverInterface::OsiVolMatrixOneMinusOne_</name>
    <filename>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</filename>
    <member kind="function">
      <type></type>
      <name>OsiVolMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a826835a09e4b4e90cf0c13d89320d1fa</anchor>
      <arglist>(const CoinPackedMatrix &amp;m)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~OsiVolMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ada2acbf763e39fc2747fac0bbc0d73b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>timesMajor</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>abf9fdb6c765936a5a7e1c226b918bb6a</anchor>
      <arglist>(const double *x, double *y) const </arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>majorDim_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a9cfa2d4a619d23d5b4bb65bc2a605312</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>minorDim_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ae323ea26d9a61828ccdbfff3ae89dfcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>plusSize_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a358e3487ed22757a17d457e4937d41c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>plusInd_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a6c648f052665691e320a3f6dc886e1a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>plusStart_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>af19bd10e242cb3fcad9e43cff0843b61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>plusLength_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a042a005caaff52c021eee6b859e4d0ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>minusSize_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>af4e59e896a9f01e3c66a143387730635</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>minusInd_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a7ee1d12c1b82a33c40fc0bd6969bd22d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>minusStart_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ac7c9613cbbee566ad806d1852c93511f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>minusLength_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a72cd9d93ed16e395af27bb935cedc7e8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/builddir/build/BUILD/Vol-1.5.4/src/OsiVol</name>
    <path>/builddir/build/BUILD/Vol-1.5.4/src/OsiVol/</path>
    <filename>dir_51f341a57ad54da0f00da442fb1d69b1.html</filename>
    <file>OsiVolSolverInterface.hpp</file>
  </compound>
  <compound kind="dir">
    <name>/builddir/build/BUILD/Vol-1.5.4/src</name>
    <path>/builddir/build/BUILD/Vol-1.5.4/src/</path>
    <filename>dir_68267d1309a1af8e8297ef4c3efbcdba.html</filename>
    <dir>/builddir/build/BUILD/Vol-1.5.4/src/OsiVol</dir>
    <file>VolVolume.hpp</file>
  </compound>
</tagfile>
